Chimely
Api

Create an environment

POST
/admin/api/environments

Authorization

AdminSession
chimely_admin<token>

Server-side admin session cookie, set by POST /admin/api/login.

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/admin/api/environments" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "slug": "string"  }'
{
  "created_at": "string",
  "has_previous_secret": true,
  "id": "string",
  "name": "string",
  "require_subscriber_hash": true,
  "slug": "string",
  "subscriber_hmac_rotated_at": "string",
  "subscriber_hmac_secret": "string"
}
{
  "error": {
    "code": "invalid_request",
    "message": "string"
  }
}
Empty
{
  "error": {
    "code": "invalid_request",
    "message": "string"
  }
}